For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet XP Balance (V2)
        • GETGet Transfer Fee Configuration
        • GETGet Public XP Transfer History
        • POSTCreate XP Transfer
        • GETGet XP Transfer by ID
        • GETGet XP Transfer History
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceXp Transfers V2

Get XP Balance (V2)

GET
https://api.prod.paradex.trade/v1/xp/account-balance
GET
/v1/xp/account-balance
$curl https://api.prod.paradex.trade/v1/xp/account-balance \
> -H "Authorization: <apiKey>"
1{
2 "earned_xp": 1000,
3 "transferrable_xp": 700,
4 "xp_delta": 200
5}
Get detailed XP balance including earned XP, transfer delta, and transferrable amount.
Was this page helpful?
Previous

Get Transfer Fee Configuration

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

seasonstringOptionalDefaults to season2

Season filter (‘preseason’ for Preseason, ‘season1’ for Season 1, ‘season2’ for Season 2)

Response

OK
earned_xpinteger

XP earned through trading (from leaderboard, immutable)

transferrable_xpinteger
Maximum XP that can be transferred
xp_deltainteger
Net XP from transfers

Errors

400
Bad Request Error
401
Unauthorized Error